%{?nodejs_find_provides_and_requires}

%global packagename readable-stream
%global enable_tests 1

Name: nodejs-%{packagename}1
Version: 1.1.14
Release: 1%{?dist}.3
Summary: Streams3, a user-land copy of the stream library from Node.js v0.11.x
License: MIT
URL: https://github.com/nodejs/readable-stream
# Fetching source from Github because tarball from NPM registry lacks
# files needed for tests.
Source0: https://github.com/nodejs/%{packagename}/archive/v%{version}/%{packagename}-%{version}.tar.gz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(core-util-is) >= 1.0.0
BuildRequires: npm(core-util-is) < 1.1.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 2.1.0
BuildRequires: npm(isarray) = 0.0.1
BuildRequires: npm(string_decoder) >= 0.10.0
BuildRequires: npm(string_decoder) < 0.11.0
%if 0%{?enable_tests}
BuildRequires: npm(tap) >= 0.2.6
%endif

%description
This package is a mirror of the Streams2 and Streams3 implementations
in Node-core.


%prep
%setup -q -n %{packagename}-%{version}
%nodejs_fixdep --dev tap '>=0.2.6'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}@1
cp -pr package.json *.js lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}@1

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/simple/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}@1

%changelog
* Fri Sep 30 2016 Oleg Girko <ol@infoserver.lv> - 1.1.14-1
- Fix package name: add major version suffix
* Fri Sep 30 2016 Oleg Girko <ol@infoserver.lv> - 1.1.14-1
- Initial package.
